Bug 193143 - [Maintainer patch] Upgrade mail/gmime26 to 2.6.20
Summary: [Maintainer patch] Upgrade mail/gmime26 to 2.6.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-30 09:08 UTC by Alan Hicks
Modified: 2014-09-23 14:38 UTC (History)
1 user (show)

See Also:


Attachments
Upgrade patch mail/gmime26 to 2.6.20 (1.09 KB, patch)
2014-08-30 09:08 UTC, Alan Hicks
no flags Details | Diff
Poudriere testport for mail/gmime26 (87.64 KB, text/plain)
2014-08-30 09:09 UTC, Alan Hicks
no flags Details
Patch to remove portrevision from mail/gmime26-sharp following master version bump (294 bytes, patch)
2014-08-30 09:10 UTC, Alan Hicks
no flags Details | Diff
Poudriere testport for mail/gmime26-sharp (37.08 KB, text/plain)
2014-08-30 09:11 UTC, Alan Hicks
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Hicks 2014-08-30 09:08:06 UTC
Created attachment 146523 [details]
Upgrade patch mail/gmime26 to 2.6.20

2014-02-19  Jeffrey Stedfast  <fejj@gnome.org>

	* README: Bumped version

	* configure.ac: Bumped version to 2.6.20

2014-02-19  Jeffrey Stedfast  <fejj@gnome.org>

	* gmime/gmime-parser.c (parser_scan_content): Improved performance
	by using a SIMD hack when scanning for the end of a line.

2014-02-19  Jeffrey Stedfast  <fejj@gnome.org>

	* gmime/gmime-message.c (message_remove_header): Don't clear the
	mime_part header stream unless we actually remove a header.
	(message_write_to_stream): Only add nwritten to the total if we've
	written a MIME-Version header.

2013-12-29  Jeffrey Stedfast  <fejj@gnome.org>

	* gmime/gmime-object.c
	(g_mime_object_set_content_disposition_parameter): Unref the
	disposition. Thanks to Mario Theodoridis for this patch.

2013-11-02  Jeffrey Stedfast  <fejj@gnome.org>

	* gmime/gmime-message.c (write_references): Don't write out 2
	spaces between the ':' and the first message-id. Fixes bug
	#711305.
Comment 1 Alan Hicks 2014-08-30 09:09:12 UTC
Created attachment 146524 [details]
Poudriere testport for mail/gmime26
Comment 2 Alan Hicks 2014-08-30 09:10:54 UTC
Created attachment 146525 [details]
Patch to remove portrevision from mail/gmime26-sharp following master version bump
Comment 3 Alan Hicks 2014-08-30 09:11:37 UTC
Created attachment 146526 [details]
Poudriere testport for mail/gmime26-sharp
Comment 4 John Marino freebsd_committer 2014-09-04 15:39:23 UTC
tested maintainer patch (2 ports)

Moving to patch-ready pool
Comment 5 Bartek Rutkowski freebsd_committer 2014-09-23 10:57:40 UTC
Please, submit the gmime26-sharp patch as a separate PR, since you're not the maintainer of that port, and it needs to be ack'd by its maintainer (the way you did it was a bit misleading).
Comment 6 commit-hook freebsd_committer 2014-09-23 14:36:42 UTC
A commit references this bug:

Author: robak
Date: Tue Sep 23 14:36:30 UTC 2014
New revision: 369065
URL: http://svnweb.freebsd.org/changeset/ports/369065

Log:
  mail/gmime26: update 2.6.18 -> 2.6.20

  PR:		193143
  Submitted by:	Alan Hicks <ahicks@p-o.co.uk>
  Approved by:	mentors (implicit)

Changes:
  head/mail/gmime26/Makefile
  head/mail/gmime26/distinfo
  head/mail/gmime26/pkg-plist
Comment 7 Bartek Rutkowski freebsd_committer 2014-09-23 14:38:39 UTC
Committed, thanks for your work!